        !COMPILER-GENERATED INTERFACE MODULE: Sat Feb 12 13:24:47 2022
        ! This source file is for reference only and may not completely
        ! represent the generated interface used by the compiler.
        MODULE CDGQF__genmod
          INTERFACE 
            SUBROUTINE CDGQF(NT,KIND,ALPHA,BETA,T,WTS)
              INTEGER(KIND=4) :: NT
              INTEGER(KIND=4) :: KIND
              REAL(KIND=8) :: ALPHA
              REAL(KIND=8) :: BETA
              REAL(KIND=8) :: T(NT)
              REAL(KIND=8) :: WTS(NT)
            END SUBROUTINE CDGQF
          END INTERFACE 
        END MODULE CDGQF__genmod
